# Login

Use your credentials to generate a temporary token that you use in your requests.

## Authenticate on the API

> Authenticate on the API with your credentials to get a token that you can use in your requests.

```json
{"openapi":"3.0.3","info":{"title":"Hiboo API","version":"2.0.0"},"tags":[{"name":"Login","description":"Use your credentials to generate a temporary token that you use in your requests."}],"servers":[{"url":"https://api.hiboo.io","description":"Production server"},{"url":"https://api-sandbox.hiboo.io","description":"Sandbox server"}],"security":[],"paths":{"/login":{"post":{"operationId":"login","summary":"Authenticate on the API","description":"Authenticate on the API with your credentials to get a token that you can use in your requests.","tags":["Login"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"apiKey":{"type":"string"}}}}}},"responses":{"200":{"description":"Token to use in the other API calls","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"email":{"type":"string"},"admin":{"type":"boolean"},"firstName":{"type":"string"},"lastName":{"type":"string"},"token":{"type":"string"}}}}}},"401":{"$ref":"#/components/responses/401Error"}}}}},"components":{"responses":{"401Error":{"description":"Unable to authenticate the token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoDetailError"}}}}},"schemas":{"NoDetailError":{"required":["message"],"type":"object","properties":{"message":{"type":"string","description":"A human readable description of the error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hiboo.io/rest-api-reference/login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
